{%- assign name = include.field[0] -%}
{%- assign id = include.field[1].id | default: name %}
{%- assign label = include.field[1].label[site.locale] -%}
{%- assign help = include.field[1].help[site.locale] -%}
{%- assign values = include.field[1].values[site.locale] | default: site.empty_array -%}

<div
  class="form-group"
  data-type="{{ include.field[1].type }}"
  data-name="{{ name }}"
  data-controller="array"
  data-array-name-value="{{ name }}"
  data-array-values-value="{{ values | jsonify | escape }}">
  <label for="{{ id }}">{{ label }}</label>

  <div class="input-group mb-3">
    <input
      data-array-target="value"
      data-action="keydown->array#enter"
      class="form-control"
      type="text"
      id="{{ id }}"
      list="list-{{ id }}"
      />

    <div class="input-group-append">
      <button class="btn" data-action="array#input">Add</button>
    </div>
  </div>

  <fieldset data-array-target="values">
  </fieldset>

  <datalist id="list-{{ id }}" data-array-target="datalist"></datalist>

  <template data-array-target="optionTemplate">
    <option data-value-content data-value-attribute="value"></option>
  </template>

  <template data-array-target="valueTemplate">
    <div class="custom-control custom-checkbox">
      <input
        type="checkbox"
        class="custom-control-input"
        checked
        data-id-attribute="id"
        data-name-attribute="name"
        data-value-attribute="value" />

      <label
        data-id-attribute="for"
        data-value-content
        class="custom-control-label"></label>
    </div>
  </template>
</div>
